import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
export declare class IList<T> extends Array<T> {
}
export declare class List<T> extends Array<T> {
}
export interface IListResult<T> {
    items?: T[];
}
export declare class ListResultDto<T> implements IListResult<T> {
    items?: T[];
}
export interface IPagedResult<T> extends IListResult<T> {
    totalCount: number;
}
export declare class PagedResultDto<T> implements IPagedResult<T> {
    totalCount: number;
}
export declare class AbpApiDefinitionProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    apiDefinition(): Observable<ApplicationApiDescriptionModel>;
}
export declare class AbpApplicationConfigurationProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    applicationConfiguration(): Observable<ApplicationConfigurationDto>;
}
export declare class AbpApplicationConfigurationScriptProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    applicationConfigurationScript(): Observable<any>;
}
export declare class AbpLanguagesProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    switch(params?: {
        /**  */
        culture?: string;
        /**  */
        uiCulture?: string;
        /**  */
        returnUrl?: string;
    }): Observable<any>;
}
export declare class AbpServiceProxyScriptProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    serviceProxyScript(params?: {
        /**  */
        type?: string;
        /**  */
        useCache?: boolean;
        /**  */
        modules?: string;
        /**  */
        controllers?: string;
        /**  */
        actions?: string;
    }): Observable<any>;
}
export declare class AbpTenantProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    byName(params?: {
        /**  */
        name: string;
    }): Observable<FindTenantResultDto>;
    /**
     *
     */
    byId(params?: {
        /**  */
        id: string;
    }): Observable<FindTenantResultDto>;
}
export declare class AccountProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    register(params?: {
        /** requestBody */
        body?: RegisterDto;
    }): Observable<IdentityUserDto>;
}
export declare class FeaturesProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    get(params?: {
        /**  */
        providerName?: string;
        /**  */
        providerKey?: string;
    }): Observable<FeatureListDto>;
    /**
     *
     */
    update(params?: {
        /**  */
        providerName?: string;
        /**  */
        providerKey?: string;
        /** requestBody */
        body?: UpdateFeaturesDto;
    }): Observable<any>;
}
export declare class PermissionsProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    get(params?: {
        /**  */
        providerName?: string;
        /**  */
        providerKey?: string;
    }): Observable<GetPermissionListResultDto>;
    /**
     *
     */
    update(params?: {
        /**  */
        providerName?: string;
        /**  */
        providerKey?: string;
        /** requestBody */
        body?: UpdatePermissionsDto;
    }): Observable<any>;
}
export declare class ProductCategoryProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    get(params?: {
        /**  */
        id?: string;
    }): Observable<ProductCategoryDto>;
    /**
     *
     */
    getList(params?: {
        /**  */
        sorting?: string;
        /**  */
        skipCount?: number;
        /**  */
        maxResultCount?: number;
    }): Observable<ProductCategoryDtoPagedResultDto>;
    /**
     *
     */
    create(params?: {
        /** requestBody */
        body?: CreateUpdateCategoryDto;
    }): Observable<ProductCategoryDto>;
    /**
     *
     */
    update(params?: {
        /**  */
        id?: string;
        /** requestBody */
        body?: CreateUpdateCategoryDto;
    }): Observable<ProductCategoryDto>;
    /**
     *
     */
    delete(params?: {
        /**  */
        id?: string;
    }): Observable<any>;
}
export declare class ProductSkuProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    get(params?: {
        /**  */
        id?: string;
    }): Observable<ProductSkuDto>;
    /**
     *
     */
    getList(params?: {
        /**  */
        sorting?: string;
        /**  */
        skipCount?: number;
        /**  */
        maxResultCount?: number;
    }): Observable<ProductSkuDtoPagedResultDto>;
    /**
     *
     */
    create(params?: {
        /** requestBody */
        body?: CreateUpdateSkuDto;
    }): Observable<ProductSkuDto>;
    /**
     *
     */
    update(params?: {
        /**  */
        id?: string;
        /** requestBody */
        body?: CreateUpdateSkuDto;
    }): Observable<ProductSkuDto>;
    /**
     *
     */
    delete(params?: {
        /**  */
        id?: string;
    }): Observable<any>;
}
export declare class ProductSpuProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    get(params?: {
        /**  */
        id?: string;
    }): Observable<ProductSpuDto>;
    /**
     *
     */
    getList(params?: {
        /**  */
        sorting?: string;
        /**  */
        skipCount?: number;
        /**  */
        maxResultCount?: number;
    }): Observable<ProductSpuDtoPagedResultDto>;
    /**
     *
     */
    create(params?: {
        /** requestBody */
        body?: CreateUpdateSpuDto;
    }): Observable<ProductSpuDto>;
    /**
     *
     */
    update(params?: {
        /**  */
        id?: string;
        /** requestBody */
        body?: CreateUpdateSpuDto;
    }): Observable<ProductSpuDto>;
    /**
     *
     */
    delete(params?: {
        /**  */
        id?: string;
    }): Observable<any>;
}
export declare class ProfileProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    myProfile(): Observable<ProfileDto>;
    /**
     *
     */
    myProfile1(params?: {
        /** requestBody */
        body?: UpdateProfileDto;
    }): Observable<ProfileDto>;
    /**
     *
     */
    changePassword(params?: {
        /** requestBody */
        body?: ChangePasswordInput;
    }): Observable<any>;
}
export declare class RoleProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    roles(params?: {
        /**  */
        sorting?: string;
        /**  */
        skipCount?: number;
        /**  */
        maxResultCount?: number;
    }): Observable<IdentityRoleDtoPagedResultDto>;
    /**
     *
     */
    roles1(params?: {
        /** requestBody */
        body?: IdentityRoleCreateDto;
    }): Observable<IdentityRoleDto>;
    /**
     *
     */
    roles2(params?: {
        /**  */
        id: string;
    }): Observable<IdentityRoleDto>;
    /**
     *
     */
    roles3(params?: {
        /**  */
        id: string;
        /** requestBody */
        body?: IdentityRoleUpdateDto;
    }): Observable<IdentityRoleDto>;
    /**
     *
     */
    roles4(params?: {
        /**  */
        id: string;
    }): Observable<any>;
}
export declare class TenantProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    tenants(params?: {
        /**  */
        id: string;
    }): Observable<TenantDto>;
    /**
     *
     */
    tenants1(params?: {
        /**  */
        id: string;
        /** requestBody */
        body?: TenantUpdateDto;
    }): Observable<TenantDto>;
    /**
     *
     */
    tenants2(params?: {
        /**  */
        id: string;
    }): Observable<any>;
    /**
     *
     */
    tenants3(params?: {
        /**  */
        filter?: string;
        /**  */
        sorting?: string;
        /**  */
        skipCount?: number;
        /**  */
        maxResultCount?: number;
    }): Observable<TenantDtoPagedResultDto>;
    /**
     *
     */
    tenants4(params?: {
        /** requestBody */
        body?: TenantCreateDto;
    }): Observable<TenantDto>;
    /**
     *
     */
    defaultConnectionString(params?: {
        /**  */
        id: string;
    }): Observable<string>;
    /**
     *
     */
    defaultConnectionString1(params?: {
        /**  */
        id: string;
        /**  */
        defaultConnectionString?: string;
    }): Observable<any>;
    /**
     *
     */
    defaultConnectionString2(params?: {
        /**  */
        id: string;
    }): Observable<any>;
}
export declare class TestProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    test(): Observable<TestModel[]>;
}
export declare class UserProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    users(params?: {
        /**  */
        id: string;
    }): Observable<IdentityUserDto>;
    /**
     *
     */
    users1(params?: {
        /**  */
        id: string;
        /** requestBody */
        body?: IdentityUserUpdateDto;
    }): Observable<IdentityUserDto>;
    /**
     *
     */
    users2(params?: {
        /**  */
        id: string;
    }): Observable<any>;
    /**
     *
     */
    users3(params?: {
        /**  */
        filter?: string;
        /**  */
        sorting?: string;
        /**  */
        skipCount?: number;
        /**  */
        maxResultCount?: number;
    }): Observable<IdentityUserDtoPagedResultDto>;
    /**
     *
     */
    users4(params?: {
        /** requestBody */
        body?: IdentityUserCreateDto;
    }): Observable<IdentityUserDto>;
    /**
     *
     */
    roles(params?: {
        /**  */
        id: string;
    }): Observable<IdentityRoleDtoListResultDto>;
    /**
     *
     */
    roles1(params?: {
        /**  */
        id: string;
        /** requestBody */
        body?: IdentityUserUpdateRolesDto;
    }): Observable<any>;
    /**
     *
     */
    byUsername(params?: {
        /**  */
        username: string;
    }): Observable<IdentityUserDto>;
    /**
     *
     */
    byEmail(params?: {
        /**  */
        email: string;
    }): Observable<IdentityUserDto>;
}
export declare class UserLookupProxyService {
    private http;
    constructor(http: HttpClient);
    /**
     *
     */
    lookup(params?: {
        /**  */
        id: string;
    }): Observable<UserData>;
    /**
     *
     */
    byUsername(params?: {
        /**  */
        userName: string;
    }): Observable<UserData>;
}
export interface ControllerInterfaceApiDescriptionModel {
    /**  */
    typeAsString?: string;
}
export interface MethodParameterApiDescriptionModel {
    /**  */
    name?: string;
    /**  */
    typeAsString?: string;
    /**  */
    isOptional?: boolean;
    /**  */
    defaultValue?: object;
}
export interface ParameterApiDescriptionModel {
    /**  */
    nameOnMethod?: string;
    /**  */
    name?: string;
    /**  */
    typeAsString?: string;
    /**  */
    isOptional?: boolean;
    /**  */
    defaultValue?: object;
    /**  */
    constraintTypes?: string[];
    /**  */
    bindingSourceId?: string;
    /**  */
    descriptorName?: string;
}
export interface ReturnValueApiDescriptionModel {
    /**  */
    typeAsString?: string;
}
export interface ActionApiDescriptionModel {
    /**  */
    uniqueName?: string;
    /**  */
    name?: string;
    /**  */
    httpMethod?: string;
    /**  */
    url?: string;
    /**  */
    supportedVersions?: string[];
    /**  */
    parametersOnMethod?: MethodParameterApiDescriptionModel[];
    /**  */
    parameters?: ParameterApiDescriptionModel[];
    /**  */
    returnValue?: ReturnValueApiDescriptionModel;
}
export interface ControllerApiDescriptionModel {
    /**  */
    controllerName?: string;
    /**  */
    typeAsString?: string;
    /**  */
    interfaces?: ControllerInterfaceApiDescriptionModel[];
    /**  */
    actions?: object;
}
export interface ModuleApiDescriptionModel {
    /**  */
    rootPath?: string;
    /**  */
    controllers?: object;
}
export interface ApplicationApiDescriptionModel {
    /**  */
    modules?: object;
}
export interface LanguageInfo {
    /**  */
    cultureName?: string;
    /**  */
    uiCultureName?: string;
    /**  */
    displayName?: string;
    /**  */
    flagIcon?: string;
}
export interface DateTimeFormatDto {
    /**  */
    calendarAlgorithmType?: string;
    /**  */
    dateTimeFormatLong?: string;
    /**  */
    shortDatePattern?: string;
    /**  */
    fullDateTimePattern?: string;
    /**  */
    dateSeparator?: string;
    /**  */
    shortTimePattern?: string;
    /**  */
    longTimePattern?: string;
}
export interface CurrentCultureDto {
    /**  */
    displayName?: string;
    /**  */
    englishName?: string;
    /**  */
    threeLetterIsoLanguageName?: string;
    /**  */
    twoLetterIsoLanguageName?: string;
    /**  */
    isRightToLeft?: boolean;
    /**  */
    cultureName?: string;
    /**  */
    name?: string;
    /**  */
    nativeName?: string;
    /**  */
    dateTimeFormat?: DateTimeFormatDto;
}
export interface ApplicationLocalizationConfigurationDto {
    /**  */
    values?: object;
    /**  */
    languages?: LanguageInfo[];
    /**  */
    currentCulture?: CurrentCultureDto;
}
export interface ApplicationAuthConfigurationDto {
    /**  */
    policies?: object;
    /**  */
    grantedPolicies?: object;
}
export interface ApplicationSettingConfigurationDto {
    /**  */
    values?: object;
}
export interface CurrentUserDto {
    /**  */
    isAuthenticated?: boolean;
    /**  */
    id?: string;
    /**  */
    tenantId?: string;
    /**  */
    userName?: string;
}
export interface ApplicationFeatureConfigurationDto {
    /**  */
    values?: object;
}
export interface ApplicationConfigurationDto {
    /**  */
    localization?: ApplicationLocalizationConfigurationDto;
    /**  */
    auth?: ApplicationAuthConfigurationDto;
    /**  */
    setting?: ApplicationSettingConfigurationDto;
    /**  */
    currentUser?: CurrentUserDto;
    /**  */
    features?: ApplicationFeatureConfigurationDto;
}
export interface FindTenantResultDto {
    /**  */
    success?: boolean;
    /**  */
    tenantId?: string;
    /**  */
    name?: string;
}
export interface RegisterDto {
    /**  */
    userName?: string;
    /**  */
    emailAddress?: string;
    /**  */
    password?: string;
    /**  */
    appName?: string;
}
export interface IdentityUserDto {
    /**  */
    tenantId?: string;
    /**  */
    userName?: string;
    /**  */
    name?: string;
    /**  */
    surname?: string;
    /**  */
    email?: string;
    /**  */
    emailConfirmed?: boolean;
    /**  */
    phoneNumber?: string;
    /**  */
    phoneNumberConfirmed?: boolean;
    /**  */
    twoFactorEnabled?: boolean;
    /**  */
    lockoutEnabled?: boolean;
    /**  */
    lockoutEnd?: Date;
    /**  */
    concurrencyStamp?: string;
    /**  */
    isDeleted?: boolean;
    /**  */
    deleterId?: string;
    /**  */
    deletionTime?: Date;
    /**  */
    lastModificationTime?: Date;
    /**  */
    lastModifierId?: string;
    /**  */
    creationTime?: Date;
    /**  */
    creatorId?: string;
    /**  */
    id?: string;
}
export interface IValueValidator {
    /**  */
    name?: string;
    /**  */
    properties?: object;
}
export interface IStringValueType {
    /**  */
    name?: string;
    /**  */
    properties?: object;
    /**  */
    validator?: IValueValidator;
}
export interface FeatureDto {
    /**  */
    name?: string;
    /**  */
    displayName?: string;
    /**  */
    value?: string;
    /**  */
    description?: string;
    /**  */
    valueType?: IStringValueType;
    /**  */
    depth?: number;
    /**  */
    parentName?: string;
}
export interface FeatureListDto {
    /**  */
    features?: FeatureDto[];
}
export interface UpdateFeatureDto {
    /**  */
    name?: string;
    /**  */
    value?: string;
}
export interface UpdateFeaturesDto {
    /**  */
    features?: UpdateFeatureDto[];
}
export interface ProviderInfoDto {
    /**  */
    providerName?: string;
    /**  */
    providerKey?: string;
}
export interface PermissionGrantInfoDto {
    /**  */
    name?: string;
    /**  */
    displayName?: string;
    /**  */
    parentName?: string;
    /**  */
    isGranted?: boolean;
    /**  */
    allowedProviders?: string[];
    /**  */
    grantedProviders?: ProviderInfoDto[];
}
export interface PermissionGroupDto {
    /**  */
    name?: string;
    /**  */
    displayName?: string;
    /**  */
    permissions?: PermissionGrantInfoDto[];
}
export interface GetPermissionListResultDto {
    /**  */
    entityDisplayName?: string;
    /**  */
    groups?: PermissionGroupDto[];
}
export interface UpdatePermissionDto {
    /**  */
    name?: string;
    /**  */
    isGranted?: boolean;
}
export interface UpdatePermissionsDto {
    /**  */
    permissions?: UpdatePermissionDto[];
}
export interface ProductCategoryDto {
    /**  */
    name?: string;
    /**  */
    code?: string;
    /**  */
    lastModificationTime?: Date;
    /**  */
    lastModifierId?: string;
    /**  */
    creationTime?: Date;
    /**  */
    creatorId?: string;
    /**  */
    id?: string;
}
export interface ProductCategoryDtoPagedResultDto {
    /**  */
    totalCount?: number;
    /**  */
    items?: ProductCategoryDto[];
}
export interface CreateUpdateCategoryDto {
    /**  */
    name?: string;
    /**  */
    code?: string;
}
export interface ProductSpuDto {
    /**  */
    name?: string;
    /**  */
    code?: string;
    /**  */
    desc?: string;
    /**  */
    category?: ProductCategoryDto;
    /**  */
    lastModificationTime?: Date;
    /**  */
    lastModifierId?: string;
    /**  */
    creationTime?: Date;
    /**  */
    creatorId?: string;
    /**  */
    id?: string;
}
export interface ProductSkuDto {
    /**  */
    spuId?: string;
    /**  */
    name?: string;
    /**  */
    code?: string;
    /**  */
    price?: number;
    /**  */
    spu?: ProductSpuDto;
    /**  */
    lastModificationTime?: Date;
    /**  */
    lastModifierId?: string;
    /**  */
    creationTime?: Date;
    /**  */
    creatorId?: string;
    /**  */
    id?: string;
}
export interface ProductSkuDtoPagedResultDto {
    /**  */
    totalCount?: number;
    /**  */
    items?: ProductSkuDto[];
}
export interface CreateUpdateSkuDto {
    /**  */
    spuId?: string;
    /**  */
    name?: string;
    /**  */
    code?: string;
    /**  */
    price?: number;
}
export interface ProductSpuDtoPagedResultDto {
    /**  */
    totalCount?: number;
    /**  */
    items?: ProductSpuDto[];
}
export interface CreateUpdateSpuDto {
    /**  */
    categoryId?: string;
    /**  */
    name?: string;
    /**  */
    code?: string;
    /**  */
    desc?: string;
}
export interface ProfileDto {
    /**  */
    userName?: string;
    /**  */
    email?: string;
    /**  */
    name?: string;
    /**  */
    surname?: string;
    /**  */
    phoneNumber?: string;
}
export interface UpdateProfileDto {
    /**  */
    userName?: string;
    /**  */
    email?: string;
    /**  */
    name?: string;
    /**  */
    surname?: string;
    /**  */
    phoneNumber?: string;
}
export interface ChangePasswordInput {
    /**  */
    currentPassword?: string;
    /**  */
    newPassword?: string;
}
export interface IdentityRoleDto {
    /**  */
    name?: string;
    /**  */
    isDefault?: boolean;
    /**  */
    isStatic?: boolean;
    /**  */
    isPublic?: boolean;
    /**  */
    concurrencyStamp?: string;
    /**  */
    id?: string;
}
export interface IdentityRoleDtoPagedResultDto {
    /**  */
    totalCount?: number;
    /**  */
    items?: IdentityRoleDto[];
}
export interface IdentityRoleCreateDto {
    /**  */
    name?: string;
    /**  */
    isDefault?: boolean;
    /**  */
    isPublic?: boolean;
}
export interface IdentityRoleUpdateDto {
    /**  */
    concurrencyStamp?: string;
    /**  */
    name?: string;
    /**  */
    isDefault?: boolean;
    /**  */
    isPublic?: boolean;
}
export interface TenantDto {
    /**  */
    name?: string;
    /**  */
    id?: string;
}
export interface TenantUpdateDto {
    /**  */
    name?: string;
}
export interface TenantDtoPagedResultDto {
    /**  */
    totalCount?: number;
    /**  */
    items?: TenantDto[];
}
export interface TenantCreateDto {
    /**  */
    name?: string;
}
export interface TestModel {
    /**  */
    name?: string;
    /**  */
    birthDate?: Date;
}
export interface IdentityUserUpdateDto {
    /**  */
    password?: string;
    /**  */
    concurrencyStamp?: string;
    /**  */
    userName?: string;
    /**  */
    name?: string;
    /**  */
    surname?: string;
    /**  */
    email?: string;
    /**  */
    phoneNumber?: string;
    /**  */
    twoFactorEnabled?: boolean;
    /**  */
    lockoutEnabled?: boolean;
    /**  */
    roleNames?: string[];
}
export interface IdentityUserDtoPagedResultDto {
    /**  */
    totalCount?: number;
    /**  */
    items?: IdentityUserDto[];
}
export interface IdentityUserCreateDto {
    /**  */
    password?: string;
    /**  */
    userName?: string;
    /**  */
    name?: string;
    /**  */
    surname?: string;
    /**  */
    email?: string;
    /**  */
    phoneNumber?: string;
    /**  */
    twoFactorEnabled?: boolean;
    /**  */
    lockoutEnabled?: boolean;
    /**  */
    roleNames?: string[];
}
export interface IdentityRoleDtoListResultDto {
    /**  */
    items?: IdentityRoleDto[];
}
export interface IdentityUserUpdateRolesDto {
    /**  */
    roleNames?: string[];
}
export interface UserData {
    /**  */
    id?: string;
    /**  */
    tenantId?: string;
    /**  */
    userName?: string;
    /**  */
    name?: string;
    /**  */
    surname?: string;
    /**  */
    email?: string;
    /**  */
    emailConfirmed?: boolean;
    /**  */
    phoneNumber?: string;
    /**  */
    phoneNumberConfirmed?: boolean;
}
